Bug 846247 - CVE-2012-2379 jbossws-cxf, apache-cxf: Apache CXF does not verify that elements were signed / encrypted by a particular Supporting Token [fedora-17]
CVE-2012-2379 jbossws-cxf, apache-cxf: Apache CXF does not verify that elemen...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cxf (Show other bugs)
17
All Linux
high Severity high
: ---
: ---
Assigned To: Patryk Obara
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-2379
  Show dependency treegraph
 
Reported: 2012-08-07 05:00 EDT by David Jorm
Modified: 2014-10-20 20:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:23:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Jorm 2012-08-07 05:00:05 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=826534

fedora-17 tracking bug for jbossws-cxf: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]
Comment 1 Marek Goldmann 2012-09-18 05:38:20 EDT
Changing component to cxf.

The solution here will be upgrading to 2.4.9 (or newer).
Comment 2 Fedora Update System 2012-10-03 08:25:56 EDT
cxf-2.4.9-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/cxf-2.4.9-2.fc17
Comment 3 Fedora Update System 2012-10-03 08:26:19 EDT
cxf-2.4.9-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/cxf-2.4.9-2.fc18
Comment 4 Fedora Update System 2012-10-03 13:03:57 EDT
Package cxf-2.4.9-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cxf-2.4.9-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15293/cxf-2.4.9-2.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-12-20 10:24:04 EST
cxf-2.4.9-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.